#
# spec file for package ghc-hip
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hip
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.5.3.0
Release:        8.1
Summary:        Haskell Image Processing (HIP) Library
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-Chart-devel
BuildRequires:  ghc-Chart-diagrams-devel
BuildRequires:  ghc-JuicyPixels-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-colour-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-netpbm-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-repa-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-temporary-devel
BuildRequires:  ghc-vector-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-hspec-devel
%endif

%description
Haskell Image Processing (HIP) Library provides an easy to use interface with a
whole variaty of image manipulation capabilities.

Processing can be done sequentially as well as in parallel, with an inherited
fusion capabily, all through <https://hackage.haskell.org/package/repa repa>
and <https://hackage.haskell.org/package/vector vector> packages. It is highly
extendable, with an ability to add various color spaces or provide
implementations for underlying array like custom data structures.

It is capable of reading and writing a number of popular image formats by using
<https://hackage.haskell.org/package/JuicyPixels JuciyPixels> and
<https://hackage.haskell.org/package/netpbm netpbm> packages. Being a pure
Haskell library it does not require any external programs, although it can
display images using a program of your choice.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Wed May  3 2017 psimons@suse.com
- Update to version 1.5.3.0 with cabal2obs.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 1.5.2.0 with cabal2obs.
* Mon Dec 19 2016 psimons@suse.com
- Update to version 1.2.0.0 with cabal2obs.
